_main:
;VEML6075.c,58 :: 		void main()
ADDIU	SP, SP, -44
;VEML6075.c,65 :: 		AD1PCFG = 0xFFFF;          // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;VEML6075.c,66 :: 		JTAGEN_bit = 0;            // Disable JTAG
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;VEML6075.c,69 :: 		I2C2_Init(100000);
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C2_Init+0
NOP	
;VEML6075.c,70 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_main0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main0
NOP	
;VEML6075.c,73 :: 		TFT_BLED_Direction = 0;                 // Set TFT backlight pin as output
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;VEML6075.c,74 :: 		TFT_Init_ILI9341_8bit(320, 240);        // Initialize TFT display
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;VEML6075.c,75 :: 		TFT_BLED = 1;                           // Turn on TFT backlight
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;VEML6075.c,78 :: 		TFT_Fill_Screen(CL_BLACK);
MOVZ	R25, R0, R0
JAL	_TFT_Fill_Screen+0
NOP	
;VEML6075.c,79 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,80 :: 		TFT_Write_Text("UV 2 Click Example", 70, 10);
ORI	R27, R0, 10
ORI	R26, R0, 70
LUI	R25, hi_addr(?lstr1_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr1_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,81 :: 		TFT_Write_Text("By Mark Joyce", 10, 210);
ORI	R27, R0, 210
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr2_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr2_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,85 :: 		if (get16(VEML6075_UV_ID) != 38)
ORI	R25, R0, 12
JAL	_get16+0
NOP	
ANDI	R3, R2, 65535
ORI	R2, R0, 38
BNE	R3, R2, L__main45
NOP	
J	L_main2
NOP	
L__main45:
;VEML6075.c,87 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,88 :: 		TFT_Write_Text("Device ERROR VEML6075 ",10,50);
ORI	R27, R0, 50
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr3_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr3_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,89 :: 		while(1); //Lock it up.
L_main3:
J	L_main3
NOP	
;VEML6075.c,90 :: 		}
L_main2:
;VEML6075.c,93 :: 		InitVEML6075();
JAL	_InitVEML6075+0
NOP	
;VEML6075.c,94 :: 		Delay_ms(150);
LUI	R24, 61
ORI	R24, R24, 2303
L_main5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main5
NOP	
NOP	
;VEML6075.c,97 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_GREEN, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 1024
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,98 :: 		TFT_Write_Text("VEML6075_Address_is: ",30,50);
ORI	R27, R0, 50
ORI	R26, R0, 30
LUI	R25, hi_addr(?lstr4_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr4_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,99 :: 		IntToStr(get16(VEML6075_UV_ID), display);
ADDIU	R2, SP, 1
SW	R2, 40(SP)
ORI	R25, R0, 12
JAL	_get16+0
NOP	
LW	R3, 40(SP)
MOVZ	R26, R3, R0
ANDI	R25, R2, 65535
JAL	_IntToStr+0
NOP	
;VEML6075.c,100 :: 		TFT_Write_Text(display, 265, 50);
ADDIU	R2, SP, 1
ORI	R27, R0, 50
ORI	R26, R0, 265
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,101 :: 		Delay_ms(3000);
LUI	R24, 1220
ORI	R24, R24, 46079
L_main7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main7
NOP	
NOP	
;VEML6075.c,103 :: 		while(1)
L_main9:
;VEML6075.c,106 :: 		for (i = 0; i < 5; i++)
SB	R0, 0(SP)
L_main11:
LBU	R2, 0(SP)
SLTIU	R2, R2, 5
BNE	R2, R0, L__main46
NOP	
J	L_main12
NOP	
L__main46:
;VEML6075.c,108 :: 		UVData[i] = get16(VEML6075_UVA_DATA + i);
ADDIU	R3, SP, 22
LBU	R2, 0(SP)
SLL	R2, R2, 1
ADDU	R2, R3, R2
SW	R2, 40(SP)
LBU	R2, 0(SP)
ADDIU	R2, R2, 7
SEH	R25, R2
JAL	_get16+0
NOP	
LW	R3, 40(SP)
SH	R2, 0(R3)
;VEML6075.c,106 :: 		for (i = 0; i < 5; i++)
LBU	R2, 0(SP)
ADDIU	R2, R2, 1
SB	R2, 0(SP)
;VEML6075.c,109 :: 		}
J	L_main11
NOP	
L_main12:
;VEML6075.c,111 :: 		TFT_Fill_Screen(CL_BLACK);
MOVZ	R25, R0, R0
JAL	_TFT_Fill_Screen+0
NOP	
;VEML6075.c,112 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_YELLOW, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 65504
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,113 :: 		TFT_Write_Text("UVA:", 0, 0);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr5_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr5_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,114 :: 		TFT_Write_Text("UVD:", 0, 20);
ORI	R27, R0, 20
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr6_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr6_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,115 :: 		TFT_Write_Text("UVB:", 0, 40);
ORI	R27, R0, 40
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr7_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr7_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,116 :: 		TFT_Write_Text("UVC1:", 0, 60);
ORI	R27, R0, 60
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr8_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr8_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,117 :: 		TFT_Write_Text("UVC2:", 0, 80);
ORI	R27, R0, 80
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr9_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr9_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,118 :: 		TFT_Write_Text("UVAi:", 0, 100); //microWatts/cm^2
ORI	R27, R0, 100
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr10_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr10_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,119 :: 		TFT_Write_Text("UVBi:", 0, 120); //microWatts/cm^2
ORI	R27, R0, 120
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr11_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr11_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,120 :: 		TFT_Write_Text("UVI:", 0, 140);
ORI	R27, R0, 140
MOVZ	R26, R0, R0
LUI	R25, hi_addr(?lstr12_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr12_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,122 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLUE, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 31
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,123 :: 		for (i = 0; i < 5; i++)                              //UVA, UVD, UVB, UVC1, UVC2.
SB	R0, 0(SP)
L_main14:
LBU	R2, 0(SP)
SLTIU	R2, R2, 5
BNE	R2, R0, L__main47
NOP	
J	L_main15
NOP	
L__main47:
;VEML6075.c,125 :: 		IntToStr(UVData[i], display);
ADDIU	R4, SP, 1
ADDIU	R3, SP, 22
LBU	R2, 0(SP)
SLL	R2, R2, 1
ADDU	R2, R3, R2
LHU	R2, 0(R2)
MOVZ	R26, R4, R0
ANDI	R25, R2, 65535
JAL	_IntToStr+0
NOP	
;VEML6075.c,126 :: 		TFT_Write_Text(display, 60, i * 20);
LBU	R3, 0(SP)
ORI	R2, R0, 20
MULTU	R3, R2
MFLO	R3
ADDIU	R2, SP, 1
SEH	R27, R3
ORI	R26, R0, 60
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,123 :: 		for (i = 0; i < 5; i++)                              //UVA, UVD, UVB, UVC1, UVC2.
LBU	R2, 0(SP)
ADDIU	R2, R2, 1
SB	R2, 0(SP)
;VEML6075.c,127 :: 		}
J	L_main14
NOP	
L_main15:
;VEML6075.c,128 :: 		FloatToStr(getUVAIntensity(UVData[0]), display);     //UVA Intensity
ADDIU	R2, SP, 1
SW	R2, 40(SP)
ADDIU	R2, SP, 22
LHU	R25, 0(R2)
JAL	_getUVAIntensity+0
NOP	
LW	R3, 40(SP)
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_FloatToStr+0
NOP	
;VEML6075.c,129 :: 		TFT_Write_Text(display, 60, 100);
ADDIU	R2, SP, 1
ORI	R27, R0, 100
ORI	R26, R0, 60
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,131 :: 		FloatToStr(getUVBIntensity(UVData[2]), display);     //UVB Intensity
ADDIU	R2, SP, 1
SW	R2, 40(SP)
ADDIU	R2, SP, 22
ADDIU	R2, R2, 4
LHU	R25, 0(R2)
JAL	_getUVBIntensity+0
NOP	
LW	R3, 40(SP)
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_FloatToStr+0
NOP	
;VEML6075.c,132 :: 		TFT_Write_Text(display, 60, 120);
ADDIU	R2, SP, 1
ORI	R27, R0, 120
ORI	R26, R0, 60
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,134 :: 		UVi = getUVIndex(UVData);   //Get the UV Index.
ADDIU	R2, SP, 22
MOVZ	R25, R2, R0
JAL	_getUVIndex+0
NOP	
SW	R2, 32(SP)
;VEML6075.c,135 :: 		FloatToStr(UVi, display);                                              //Display Index Value.
ADDIU	R3, SP, 1
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_FloatToStr+0
NOP	
;VEML6075.c,136 :: 		TFT_Write_Text(display, 60, 140);
ADDIU	R2, SP, 1
ORI	R27, R0, 140
ORI	R26, R0, 60
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,138 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_WHITE, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;VEML6075.c,140 :: 		if (UVi <= 2)
LW	R6, 32(SP)
LUI	R4, 16384
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
XORI	R2, R2, 1
BNE	R2, R0, L__main50
NOP	
J	L_main17
NOP	
L__main50:
;VEML6075.c,142 :: 		TFT_Write_Text("UV is LOW", 90, 170);
ORI	R27, R0, 170
ORI	R26, R0, 90
LUI	R25, hi_addr(?lstr13_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr13_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,143 :: 		}
J	L_main18
NOP	
L_main17:
;VEML6075.c,144 :: 		else if (UVi > 2 && UVi <= 6)
LW	R6, 32(SP)
LUI	R4, 16384
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
BNE	R2, R0, L__main53
NOP	
J	L__main38
NOP	
L__main53:
LW	R6, 32(SP)
LUI	R4, 16576
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
XORI	R2, R2, 1
BNE	R2, R0, L__main56
NOP	
J	L__main37
NOP	
L__main56:
L__main36:
;VEML6075.c,146 :: 		TFT_Write_Text("UV is MODERATE", 60, 170);
ORI	R27, R0, 170
ORI	R26, R0, 60
LUI	R25, hi_addr(?lstr14_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr14_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,147 :: 		}
J	L_main22
NOP	
;VEML6075.c,144 :: 		else if (UVi > 2 && UVi <= 6)
L__main38:
L__main37:
;VEML6075.c,148 :: 		else if (UVi > 6 && UVi <= 8)
LW	R6, 32(SP)
LUI	R4, 16576
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
BNE	R2, R0, L__main59
NOP	
J	L__main40
NOP	
L__main59:
LW	R6, 32(SP)
LUI	R4, 16640
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
XORI	R2, R2, 1
BNE	R2, R0, L__main62
NOP	
J	L__main39
NOP	
L__main62:
L__main35:
;VEML6075.c,150 :: 		TFT_Write_Text("UV is HIGH", 90, 170);
ORI	R27, R0, 170
ORI	R26, R0, 90
LUI	R25, hi_addr(?lstr15_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr15_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,151 :: 		}
J	L_main26
NOP	
;VEML6075.c,148 :: 		else if (UVi > 6 && UVi <= 8)
L__main40:
L__main39:
;VEML6075.c,152 :: 		else if (UVi > 8 && UVi <= 10)
LW	R6, 32(SP)
LUI	R4, 16640
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
BNE	R2, R0, L__main65
NOP	
J	L__main42
NOP	
L__main65:
LW	R6, 32(SP)
LUI	R4, 16672
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
XORI	R2, R2, 1
BNE	R2, R0, L__main68
NOP	
J	L__main41
NOP	
L__main68:
L__main34:
;VEML6075.c,154 :: 		TFT_Write_Text("UV is VERY HIGH", 60, 170);
ORI	R27, R0, 170
ORI	R26, R0, 60
LUI	R25, hi_addr(?lstr16_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr16_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,155 :: 		}
J	L_main30
NOP	
;VEML6075.c,152 :: 		else if (UVi > 8 && UVi <= 10)
L__main42:
L__main41:
;VEML6075.c,156 :: 		else if (UVI > 10)
LW	R6, 32(SP)
LUI	R4, 16672
ORI	R4, R4, 0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
BNE	R2, R0, L__main71
NOP	
J	L_main31
NOP	
L__main71:
;VEML6075.c,158 :: 		TFT_Write_Text("UV is EXTREME", 85, 170);
ORI	R27, R0, 170
ORI	R26, R0, 85
LUI	R25, hi_addr(?lstr17_VEML6075+0)
ORI	R25, R25, lo_addr(?lstr17_VEML6075+0)
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,159 :: 		}
L_main31:
L_main30:
L_main26:
L_main22:
L_main18:
;VEML6075.c,160 :: 		sprintf(display, "UV Index is:  %2.1f",UVi); //Simplify Index and display.
ADDIU	R3, SP, 1
LW	R2, 32(SP)
ADDIU	SP, SP, -12
SW	R2, 8(SP)
LUI	R2, hi_addr(?lstr_18_VEML6075+0)
ORI	R2, R2, lo_addr(?lstr_18_VEML6075+0)
SW	R2, 4(SP)
SW	R3, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;VEML6075.c,161 :: 		TFT_Write_Text(display, 85, 190);
ADDIU	R2, SP, 1
ORI	R27, R0, 190
ORI	R26, R0, 85
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;VEML6075.c,163 :: 		Delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_main32:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main32
NOP	
;VEML6075.c,164 :: 		}
J	L_main9
NOP	
;VEML6075.c,165 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
_InitVEML6075:
;VEML6075.c,168 :: 		void InitVEML6075()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;VEML6075.c,170 :: 		I2C2_Start();
SW	R25, 4(SP)
JAL	_I2C2_Start+0
NOP	
;VEML6075.c,171 :: 		I2C2_Write(VEML6075_WADD);
ORI	R25, R0, 32
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,172 :: 		I2C2_Write(VEML6075_UV_CONF);
MOVZ	R25, R0, R0
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,173 :: 		I2C2_Write(IT << 4);//LSB
ORI	R25, R0, 16
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,174 :: 		I2C2_Write(0x00);   //MSB
MOVZ	R25, R0, R0
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,175 :: 		I2C2_Stop();
JAL	_I2C2_Stop+0
NOP	
;VEML6075.c,176 :: 		}
L_end_InitVEML6075:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _InitVEML6075
_get16:
;VEML6075.c,179 :: 		unsigned int get16(unsigned int reg)
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;VEML6075.c,182 :: 		I2C2_Start();
SW	R25, 4(SP)
JAL	_I2C2_Start+0
NOP	
;VEML6075.c,183 :: 		I2C2_Write(VEML6075_WADD);
SH	R25, 8(SP)
ORI	R25, R0, 32
JAL	_I2C2_Write+0
NOP	
LHU	R25, 8(SP)
;VEML6075.c,184 :: 		I2C2_Write(reg); //Register
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,185 :: 		I2C2_Restart();
JAL	_I2C2_Restart+0
NOP	
;VEML6075.c,186 :: 		I2C2_Write(VEML6075_RADD);
ORI	R25, R0, 33
JAL	_I2C2_Write+0
NOP	
;VEML6075.c,187 :: 		rawData[0] = I2C2_Read(0);//LSB
ADDIU	R2, SP, 10
SW	R2, 20(SP)
SW	R2, 16(SP)
MOVZ	R25, R0, R0
JAL	_I2C2_Read+0
NOP	
ANDI	R3, R2, 255
LW	R2, 16(SP)
SH	R3, 0(R2)
;VEML6075.c,188 :: 		rawData[1] = I2C2_Read(0);//MSB
LW	R2, 20(SP)
ADDIU	R2, R2, 2
SW	R2, 16(SP)
MOVZ	R25, R0, R0
JAL	_I2C2_Read+0
NOP	
ANDI	R3, R2, 255
LW	R2, 16(SP)
SH	R3, 0(R2)
;VEML6075.c,189 :: 		I2C2_Stop();
JAL	_I2C2_Stop+0
NOP	
;VEML6075.c,190 :: 		return rawData[1] << 8 | rawData[0];;  //MSB LSB
ADDIU	R4, SP, 10
ADDIU	R2, R4, 2
LHU	R2, 0(R2)
ANDI	R2, R2, 65535
SLL	R3, R2, 8
LHU	R2, 0(R4)
OR	R2, R3, R2
;VEML6075.c,191 :: 		}
;VEML6075.c,190 :: 		return rawData[1] << 8 | rawData[0];;  //MSB LSB
;VEML6075.c,191 :: 		}
L_end_get16:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _get16
_getUVAIntensity:
;VEML6075.c,193 :: 		float getUVAIntensity(int _UVA)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;VEML6075.c,195 :: 		float UVASensitivity = (0.93 / (IT + 1)); //UVA Sensitivity
; UVASensitivity start address is: 36 (R9)
LUI	R9, 16110
ORI	R9, R9, 5243
;VEML6075.c,196 :: 		return _UVA / UVASensitivity;
SEH	R4, R25
JAL	__SignedIntegralToFLoat+0
NOP	
MOVZ	R6, R9, R0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
; UVASensitivity end address is: 36 (R9)
;VEML6075.c,197 :: 		}
L_end_getUVAIntensity:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _getUVAIntensity
_getUVBIntensity:
;VEML6075.c,199 :: 		float getUVBIntensity(int _UVB)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;VEML6075.c,201 :: 		float UVBSensitivity = 2.10/(IT + 1); //UVB Sensitivity
; UVBSensitivity start address is: 36 (R9)
LUI	R9, 16262
ORI	R9, R9, 26214
;VEML6075.c,202 :: 		return  _UVB / UVBSensitivity;
SEH	R4, R25
JAL	__SignedIntegralToFLoat+0
NOP	
MOVZ	R6, R9, R0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
; UVBSensitivity end address is: 36 (R9)
;VEML6075.c,203 :: 		}
L_end_getUVBIntensity:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _getUVBIntensity
_getUVIndex:
;VEML6075.c,208 :: 		float getUVIndex(unsigned int n[])
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;VEML6075.c,210 :: 		unsigned int _UVA  = n[0];
LHU	R5, 0(R25)
;VEML6075.c,211 :: 		unsigned int _UVD  = n[1];
ADDIU	R2, R25, 2
LHU	R4, 0(R2)
; _UVD start address is: 64 (R16)
ANDI	R16, R4, 65535
;VEML6075.c,212 :: 		unsigned int _UVB  = n[2];
ADDIU	R2, R25, 4
LHU	R2, 0(R2)
; _UVB start address is: 68 (R17)
ANDI	R17, R2, 65535
;VEML6075.c,213 :: 		unsigned int _UVC1 = n[3];
ADDIU	R2, R25, 6
LHU	R3, 0(R2)
; _UVC1 start address is: 72 (R18)
ANDI	R18, R3, 65535
;VEML6075.c,214 :: 		unsigned int _UVC2 = n[4];
ADDIU	R2, R25, 8
LHU	R2, 0(R2)
; _UVC2 start address is: 76 (R19)
ANDI	R19, R2, 65535
;VEML6075.c,215 :: 		float UVAcomp = (_UVA - _UVD) - A *(_UVC1 - _UVD) - B *(_UVC2 - _UVD);
SUBU	R2, R5, R4
SH	R2, 4(SP)
SUBU	R2, R3, R4
ANDI	R4, R2, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
LUI	R4, 16398
ORI	R4, R4, 5243
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
LHU	R3, 4(SP)
SW	R2, 4(SP)
ANDI	R4, R3, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
LW	R6, 4(SP)
MOVZ	R4, R2, R0
JAL	__Sub_FP+0
NOP	
SW	R2, 4(SP)
SUBU	R2, R19, R16
; _UVC2 end address is: 76 (R19)
ANDI	R4, R2, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
SW	R2, 8(SP)
LUI	R4, 16298
ORI	R4, R4, 15729
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
LW	R4, 4(SP)
MOVZ	R6, R2, R0
JAL	__Sub_FP+0
NOP	
; UVAcomp start address is: 76 (R19)
MOVZ	R19, R2, R0
;VEML6075.c,216 :: 		float UVBcomp = (_UVB - _UVD) - C *(_UVC1 - _UVD) - D *(_UVC2 - _UVD);
SUBU	R2, R17, R16
; _UVB end address is: 68 (R17)
SH	R2, 4(SP)
SUBU	R2, R18, R16
; _UVD end address is: 64 (R16)
; _UVC1 end address is: 72 (R18)
ANDI	R4, R2, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
LUI	R4, 16444
ORI	R4, R4, 52429
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
LHU	R3, 4(SP)
SW	R2, 4(SP)
ANDI	R4, R3, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
LW	R6, 4(SP)
MOVZ	R4, R2, R0
JAL	__Sub_FP+0
NOP	
SW	R2, 4(SP)
LUI	R6, 16350
ORI	R6, R6, 47186
LW	R4, 8(SP)
JAL	__Mul_FP+0
NOP	
LW	R4, 4(SP)
MOVZ	R6, R2, R0
JAL	__Sub_FP+0
NOP	
;VEML6075.c,217 :: 		return ((UVBcomp * UVBresponse) + (UVAcomp * UVAresponse) ) /2;;
LUI	R4, 15011
ORI	R4, R4, 55050
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
SW	R2, 4(SP)
LUI	R4, 14992
ORI	R4, R4, 11744
MOVZ	R6, R19, R0
JAL	__Mul_FP+0
NOP	
; UVAcomp end address is: 76 (R19)
LW	R4, 4(SP)
MOVZ	R6, R2, R0
JAL	__Add_FP+0
NOP	
LUI	R6, 16384
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
;VEML6075.c,218 :: 		}
L_end_getUVIndex:
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _getUVIndex
